# Visualization
TKV3d
DsgPrs

# DsgPrs_EllipseRadiusPresentation Class Reference

`#include <DsgPrs_EllipseRadiusPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const Standard_Real theval, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Pnt &anEndOfArrow, const gp_Pnt &aCenter, const Standard_Boolean IsMaxRadius, const DsgPrs_ArrowSide ArrowSide)
| draws a Radius (Major or Minor) representation for whole ellipse case

static Standard_EXPORT void

Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const Standard_Real theval, const TCollection_ExtendedString &aText, const gp_Elips &anEllipse, const gp_Pnt &AttachmentPoint, const gp_Pnt &anEndOfArrow, const gp_Pnt &aCenter, const Standard_Real uFirst, const Standard_Boolean IsInDomain, const Standard_Boolean IsMaxRadius, const DsgPrs_ArrowSide ArrowSide)

| draws a Radius (Major or Minor) representation for arc of an ellipse case

static Standard_EXPORT void

Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const Standard_Real theval, const TCollection_ExtendedString &aText, const Handle(Geom_OffsetCurve)&aCurve, const gp_Pnt &AttachmentPoint, const gp_Pnt &anEndOfArrow, const gp_Pnt &aCenter, const Standard_Real uFirst, const Standard_Boolean IsInDomain, const Standard_Boolean IsMaxRadius, const DsgPrs_ArrowSide ArrowSide)

| draws a Radius (Major or Minor) representation for arc of an offset curve from ellipse

## Member Function Documentation

static Standard_EXPORT void DsgPrs_EllipseRadiusPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | aText,
|  | const Handle(Geom_OffsetCurve)& | aCurve,
|  | const gp_Pnt & | AttachmentPoint,
|  | const gp_Pnt & | anEndOfArrow,
|  | const gp_Pnt & | aCenter,
|  | const Standard_Real | uFirst,
|  | const Standard_Boolean | IsInDomain,
|  | const Standard_Boolean | IsMaxRadius,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) | `[static]`

static Standard_EXPORT void DsgPrs_EllipseRadiusPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Elips & | anEllipse,
|  | const gp_Pnt & | AttachmentPoint,
|  | const gp_Pnt & | anEndOfArrow,
|  | const gp_Pnt & | aCenter,
|  | const Standard_Real | uFirst,
|  | const Standard_Boolean | IsInDomain,
|  | const Standard_Boolean | IsMaxRadius,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) | `[static]`

static Standard_EXPORT void DsgPrs_EllipseRadiusPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint,
|  | const gp_Pnt & | anEndOfArrow,
|  | const gp_Pnt & | aCenter,
|  | const Standard_Boolean | IsMaxRadius,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) | `[static]`

void DsgPrs_EllipseRadiusPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_EllipseRadiusPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_EllipseRadiusPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_EllipseRadiusPresentation.hxx